Name:             hawtjni
Version:          1.18
Release:          %mkrel 1
Group:            Development/Java
Summary:          Code generator that produces the JNI code
# Maven plugin is under ASL 2.0.
# stdint.h, shipped in JAR as resource, used only with M$ VC++, is under BSD.
# Everything else is under EPL-1.0
License:          ASL 2.0 and EPL-1.0 and BSD

URL:              http://hawtjni.fusesource.org/
Source0:          https://github.com/fusesource/hawtjni/archive/%{name}-project-%{version}.tar.gz

# trivially port from commons-lang to commons-lang3
Patch0:           00-hawtjni-port-to-commons-lang3.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(commons-cli:commons-cli)
BuildRequires:    mvn(org.apache.commons:commons-lang3)
BuildRequires:    mvn(org.apache.maven:maven-archiver)
BuildRequires:    mvn(org.apache.maven:maven-artifact)
BuildRequires:    mvn(org.apache.maven:maven-artifact-manager)
BuildRequires:    mvn(org.apache.maven:maven-compat)
BuildRequires:    mvn(org.apache.maven:maven-plugin-api)
BuildRequires:    mvn(org.apache.maven:maven-project)
BuildRequires:    mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:    mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:    mvn(org.apache.xbean:xbean-finder)
BuildRequires:    mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:    mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:    mvn(org.codehaus.plexus:plexus-io)
BuildRequires:    mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:    mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires:    mvn(org.ow2.asm:asm)
BuildRequires:    mvn(org.ow2.asm:asm-commons)

Requires:         autoconf
Requires:         automake
Requires:         libtool
Requires:         make

%description
HawtJNI is a code generator that produces the JNI code needed to
implement java native methods. It is based on the jnigen code generator
that is part of the SWT Tools project which is used to generate all the
JNI code which powers the eclipse platform.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%package runtime
Summary:          HawtJNI Runtime

%description runtime
This package provides API that projects using HawtJNI should build
against.

%package -n maven-hawtjni-plugin
Summary:          Use HawtJNI from a maven plugin

%description -n maven-%{name}-plugin
This package allows to use HawtJNI from a maven plugin.

%prep
%setup -q -n %{name}-%{name}-project-%{version}
%patch0 -p1

# This package needs maven compat for ArtifactResolver class
%pom_add_dep org.apache.maven:maven-compat hawtjni-maven-plugin

%pom_disable_module hawtjni-example
%pom_remove_plugin -r :maven-shade-plugin
%pom_remove_plugin -r :maven-eclipse-plugin

%mvn_package ":hawtjni-runtime" runtime
%mvn_package ":hawtjni-maven-plugin" maven-plugin

%mvn_alias :hawtjni-maven-plugin :maven-hawtjni-plugin

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin hawtjni-runtime

%build
%mvn_build

%install
%mvn_install

%files runtime -f .mfiles-runtime
%doc readme.md license.txt changelog.md

%files -f .mfiles

%files javadoc -f .mfiles-javadoc
%doc license.txt

%files -n maven-hawtjni-plugin -f .mfiles-maven-plugin




%changelog
* Mon Aug 08 2022 neoclust <neoclust> 1.18-1.mga9
+ Revision: 1876103
- New version 1.18
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 11 2020 daviddavid <daviddavid> 1.17-3.mga8
+ Revision: 1624328
- Port to commons-lang3
- Rebuilt for JDK-11
- Add maven-compat to hawtjni-maven-plugin as it is using
  the ArtifactResolver class in the maven-compat.jar

* Sun Feb 16 2020 umeabot <umeabot> 1.17-2.mga8
+ Revision: 1536232
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 1.17-1.mga8
+ Revision: 1453728
- Update to version 1.17

* Thu Sep 20 2018 umeabot <umeabot> 1.16-2.mga7
+ Revision: 1278653
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 1.16-1.mga7
+ Revision: 1255876
- new version: 1.16 (sync with fc29)

* Sun Feb 11 2018 daviddavid <daviddavid> 1.15-1.mga7
+ Revision: 1200465
- Update to upstream version 1.15 (sync with fc28)
- Add Requires on make

* Wed Mar 02 2016 neoclust <neoclust> 1.10-7.mga6
+ Revision: 982350
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.10-6.mga6
+ Revision: 976397
- First rebuild of the java stack
- sync package hawtjni with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9-6.mga5
+ Revision: 748598
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ dmorgan <dmorgan>
- Update to ASM4

* Sat Jan 04 2014 dmorgan <dmorgan> 1.9-3.mga4
+ Revision: 564638
- Rebuild against new xbean
- New version
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 stormi <stormi> 1.6-2.mga4
+ Revision: 471892
- remove runtime dependency to xbean (mga #9318)
+ dmorgan <dmorgan>
- Change maven BR into maven-local

* Tue Feb 19 2013 dmorgan <dmorgan> 1.6-1.mga3
+ Revision: 399272
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 353121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 1.5-2.mga3
+ Revision: 293187
- Rebuild against new xbean

* Wed Sep 12 2012 dmorgan <dmorgan> 1.5-1.mga3
+ Revision: 293080
- New version 1.5
+ gil <gil>
- replaced plexus-maven-plugin with plexus-component-metadata

* Fri Dec 09 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 179626
- New version 1.3

* Wed Aug 31 2011 gil <gil> 1.2-1.mga2
+ Revision: 137113
- update to 1.2

* Wed Jul 20 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 127105
- Fix Groups
+ gil <gil>
- imported package hawtjni


* Mon May 30 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-4
- Removed maven-shade-plugin dependency

* Mon May 30 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-3
- Split maven-hawtjni-plugin into new package
- Fixed license
- Fixed summary
- Using xz to compress source code

* Sun May 29 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-2
- Added maven-hawtjni-plugin

* Fri May 27 2011 Marek Goldmann <mgoldman@redhat.com> 1.1-1
- Initial packaging

